import request from '@/utils/request' //引入axios请求及拦截器
export default {
    //新增高校
    appUserSchool(data) {
        return request({
            url: '/user/school',
            method: 'post',
            data
        })
    },
    //修改高校
    editUserSchool(data) {
        return request({
            url: '/user/school/edit',
            method: 'post',
            data
        })
    },
    //查询高校列表
    inquireUserSchool(data) {
        return request({
            url: '/user/school/list',
            method: 'get',
            params: data
        })
    },
    //获取高校详细信息
    obtainUserSchool(data) {
        return request({
            url: `/user/school/` + data,
            method: 'get',
        })
    },
    //查询用户视频学习日志列表
    inquireUserStudyloglist(data) {
        return request({
            url: '/user/study/log/list',
            method: 'get',
            params: data
        })
    },
    //查询用户访问日志列表
    inquireUserVisitloglist(data) {
        return request({
            url: '/user/visit/log/list',
            method: 'get',
            params: data
        })
    },
}